package com.csc349blum.schieletrees;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.app.Activity;

public class MainActivity extends Activity {

	int index =0;
	
	String[] filenames={"autumnsun", "inmovement", "lateautumn", "settingsun", "withfuchsias"};
	String[] titles={"Autumn Sun", "In Movement", "Late Autumn", "Setting Sun", "With Fuchsias"};
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        Button btnForward = (Button) findViewById(R.id.btnForward);
        Button btnBack = (Button) findViewById(R.id.btnBack);
        
        btnForward.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View v) {
				index++;
				if(index>= titles.length){
					index=0;
				}
				changePic();
			} //end onClick -- btnForward
		});//end setOnClickListener -- btnForward
        
        btnBack.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View v) {
				index--;
				if(index<= 0){
					index=titles.length -1;
				}
				changePic();
			}//end onClick -- btnBack
		});//end setOnClickListener -- btnBack
    }//end onCreate
    
    public void changePic(){
    	ImageView ivTree = (ImageView) findViewById(R.id.ivTree); 
    	TextView tvTitle = (TextView) findViewById(R.id.tvTitle); 
    	
    	tvTitle.setText("Egon Schiele Trees: " + titles[index]);
    	ivTree.setImageResource(getResources().getIdentifier(filenames[index], "drawable", getPackageName()));
    	// http://stackoverflow.com/questions/13513953/set-image-in-imageview-in-android
   	
    }
    
}
